<mat-tab-group mat-align-tabs="start">
  <mat-tab label="Gestion des utilisateurs">
    <table mat-table [dataSource]="userList!" class="full-width-table">
      <!-- Position Column -->
      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef>Id</th>
        <td mat-cell *matCellDef="let element">{{element.id}}</td>
      </ng-container>

      <!-- email Column -->
      <ng-container matColumnDef="email">
        <th mat-header-cell *matHeaderCellDef>Email</th>
        <td mat-cell *matCellDef="let element">{{element.email}}</td>
      </ng-container>

      <!-- username Column -->
      <ng-container matColumnDef="username">
        <th mat-header-cell *matHeaderCellDef>Nom d'utilisateur</th>
        <td mat-cell *matCellDef="let element">{{element.username}}</td>
      </ng-container>

      <!-- is_active Column -->
      <ng-container matColumnDef="is_active">
        <th mat-header-cell *matHeaderCellDef>Actif</th>
        <td mat-cell *matCellDef="let element">
          <mat-checkbox [(ngModel)]="element.is_active" [disabled]="true">
          </mat-checkbox>
        </td>
      </ng-container>

      <!-- role Column -->
      <ng-container matColumnDef="role">
        <th mat-header-cell *matHeaderCellDef>Rôle</th>
        <td mat-cell *matCellDef="let element">
          <mat-select [(value)]="element.role" [disabled]="true">
            <mat-select-trigger>
              {{element.role ? element.role : ''}}
            </mat-select-trigger>
            <mat-option *ngFor="let topping of ['user', 'admin']" [value]="topping">{{topping}}</mat-option>
          </mat-select>
        </td>
      </ng-container>

      <ng-container matColumnDef="delete_user">
        <th mat-header-cell *matHeaderCellDef>Suppression</th>
        <td mat-cell *matCellDef="let element">
          <button mat-button (click)="onUserDelete(element.id)">
            <mat-icon>delete</mat-icon>
          </button>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  </mat-tab>
</mat-tab-group>
